package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF086 extends MwfRequest<MWF086, MWF086Response> {

    @Parameter(name = "CisloUctu")
    MWF086 cisloUctu(String cisloUctu);
    @Parameter(name = "FiltrCastkaDo")
    MWF086 filtrCastkaDo(Double filtrCastkaDo);
    @Parameter(name = "FiltrCastkaOd")
    MWF086 filtrCastkaOd(Double filtrCastkaOd);
    @Parameter(name = "FiltrDatumDo")
    MWF086 filtrDatumDo(java.util.Date filtrDatumDo);
    @Parameter(name = "FiltrDatumOd")
    MWF086 filtrDatumOd(java.util.Date filtrDatumOd);
    @Parameter(name = "FiltrIDTransakce")
    MWF086 filtrIDTransakce(String filtrIDTransakce);
    @Parameter(name = "FiltrVariabilniSymbol")
    MWF086 filtrVariabilniSymbol(String filtrVariabilniSymbol);
    @Parameter(name = "KodOM")
    MWF086 kodOM(String kodOM);
    @Parameter(name = "StatusDo")
    MWF086 statusDo(String statusDo);
    @Parameter(name = "StatusOd")
    MWF086 statusOd(String statusOd);
    @Parameter(name = "VcetneInternichKonverzi")
    MWF086 vcetneInternichKonverzi(Boolean vcetneInternichKonverzi);
}
